--- src/gnutls_sni.c.orig	2019-01-28 13:50:38.000000000 -0600
+++ src/gnutls_sni.c	2020-06-28 08:19:00.000000000 -0500
@@ -18,7 +18,14 @@
 
 #include <apr_lib.h>
 #include <apr_strings.h>
-#include <byteswap.h>
+#ifdef __APPLE__
+  #include <libkern/OSByteOrder.h>
+  #define bswap_16(x) OSSwapInt16(x)
+  #define bswap_32(x) OSSwapInt32(x)
+  #define bswap_64(x) OSSwapInt64(x)
+#else
+  #include <byteswap.h>
+#endif
 #include <gnutls/gnutls.h>
 #include <inttypes.h>
 
